<?php
/**
 * @version 1.5 beta 5 $Id: default_items.php 85 2009-10-10 13:48:04Z vistamedia $
 * @package Joomla
 * @subpackage FLEXIcontent
 * @copyright (C) 2010 tmrsk - www.bguen.com/tmrsk
 * @license GNU/GPL v2
 * 
 * FLEXIcontent is a derivative work of the excellent QuickFAQ component
 * @copyright (C) 2008 Christoph Lukes
 * see www.schlu.net for more information
 *
 * FLEXIcontent is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );
// first define the template name
$tmpl = $this->tmpl;
?>
<script type="text/javascript">
	function tableOrdering( order, dir, task )
	{
		var form = document.getElementById("adminForm");

		form.filter_order.value 	= order;
		form.filter_order_Dir.value	= dir;
		document.getElementById("adminForm").submit( task );
	}
</script>

<?php if ((($this->params->get('use_filters', 0)) && $this->filters) || ($this->params->get('use_search')) || ($this->params->get('show_alpha', 1))) : ?>
<form action="<?php echo $this->action; ?>" method="post" id="adminForm">
<?php if ((($this->params->get('use_filters', 0)) && $this->filters) || ($this->params->get('use_search'))) : ?>
<div id="fc_filter" class="floattext">
	<?php if ($this->params->get('use_search')) : ?>
	<div class="fc_fleft">
		<input type="text" name="filter" id="filter" value="<?php echo $this->lists['filter'];?>" class="text_area" onchange="document.getElementById('adminForm').submit();" />
		<button onclick="document.getElementById('adminForm').submit();"><?php echo JText::_( 'FLEXI_GO' ); ?></button>
		<button onclick="document.getElementById('filter').value='';document.getElementById('adminForm').submit();"><?php echo JText::_( 'FLEXI_RESET' ); ?></button>
	</div>
	<?php endif; ?>
	<?php if ($this->filters) : ?>
	<div class="fc_fright">
	<?php
	foreach ($this->filters as $filt) :
		echo '<span class="filter">';
		echo $filt->html;
		echo '</span>';
	endforeach;
	?>
	</div>
	<?php endif; ?>
</div>
<?php endif; ?>
<?php
if ($this->params->get('show_alpha', 1)) :
	echo $this->loadTemplate('alpha');
endif;
?>
<input type="hidden" name="option" value="com_flexicontent" />
<input type="hidden" name="filter_order" value="<?php echo $this->lists['filter_order']; ?>" />
<input type="hidden" name="filter_order_Dir" value="" />
<input type="hidden" name="view" value="category" />
<input type="hidden" name="letter" value="" id="alpha_index" />
<input type="hidden" name="task" value="" />
<input type="hidden" name="id" value="<?php echo $this->category->id; ?>" />
</form>
<?php endif; ?>

<?php
$items	= $this->items;
$count 	= count($items);
if ($count) :
?>
<div class="infoblock2">
<?php
$leadnum		= $this->params->get('lead_num', 0);
$leadnum		= ($leadnum >= $count) ? $count : $leadnum;
if ($count > $leadnum || $this->limitstart != 0) :
?>
	<ul class="liste">
		<?php for ($i=($this->limitstart == 0 ? $leadnum : 0 ); $i<$count; $i++) : ?>
		<li class="<?php echo (($this->limitstart == 0) ? ($i+$leadnum)%2 : $i%2) ? 'even' : 'odd'; ?>">
		
 
<div class="ana">

<!-- BOF subtitle1 block -->

<div class="lineinfo subtitle1">
<?php if (isset($items[$i]->positions['subtitle1'])) : ?>
	<?php foreach ($items[$i]->positions['subtitle1'] as $field) : ?>
	<span class="element">
		<?php if ($field->label) : ?>
		<span class="label field_<?php echo $field->name; ?>"><?php echo $field->label; ?></span>
		<?php endif; ?>
		<span class="value field_<?php echo $field->name; ?>"><?php echo $field->display; ?></span>
	</span>
	<?php endforeach; ?>
</div>
<?php endif; ?>
<!-- EOF subtitle1 block -->

  <div class="ana2" >
    <div class="sol">  
    
<!-- BOF image block -->
	<?php if (isset($items[$i]->positions['image'])) : ?>
		<?php foreach ($items[$i]->positions['image'] as $field) : ?>
	<div class="image field_<?php echo $field->name; ?>">
		<a href="<?php echo JRoute::_(FlexicontentHelperRoute::getItemRoute($items[$i]->slug, $this->category->slug)); ?>">
		<?php echo $field->display; ?>
        </a>
		<div class="clear"></div>
	</div>
		<?php endforeach; ?>
   	<?php endif; ?>    
<!-- EOF image block -->


	
   </div>
  <div class="sag"> 
  
      
<!-- BOF header -->

  <div class="header" style="border-bottom: 3px solid #<?php echo $this->params->get('border_color') ?>">
    			<?php if ($this->params->get('show_title', 1)) : ?>
    			
    				<?php if ($this->params->get('link_titles', 0)) : ?>
    				<a style="color: #<?php echo $this->params->get('head_color') ?>" onmouseover="this.style.color='#<?php echo $this->params->get('border_color') ?>'" onmouseout="this.style.color='#<?php echo $this->params->get('head_color') ?>'" href="<?php echo JRoute::_(FlexicontentHelperRoute::getItemRoute($items[$i]->slug, $this->category->slug)); ?>"><?php echo $this->escape($items[$i]->title); ?></a>
    				<?php
    				else :
    				echo $this->escape($items[$i]->title);
    				endif;
    				?>
    			
    			<?php endif; ?>
  </div>
  
  <!-- EOF header -->
    

<!-- BOF subtitle3 block -->

<div class="lineinfo subtitle3 ">
<?php if (isset($items[$i]->positions['subtitle3'])) : ?>
	<?php foreach ($items[$i]->positions['subtitle3'] as $field) : ?>

	<span class="element2">
		<?php if ($field->label) : ?>
		<div class="label2 field_<?php echo $field->name; ?>"><?php echo $field->label; ?></div>
		<?php endif; ?>
		<div class="value2 field_<?php echo $field->name; ?>"><?php echo $field->display; ?></div>
	</span>

	<?php endforeach; ?>
<?php endif; ?>
</div>


<!-- BOF bottomsag -->
   	<div class="bottomsag" >
             <?php if (isset($items[$i]->positions['bottomsag'])) : ?>
  				<?php foreach ($items[$i]->positions['bottomsag'] as $field) : ?>
			

					<div class="value field_<?php echo $field->name; ?>"><?php echo $field->display; ?></div>

			
			<?php endforeach; ?>
            <?php endif; ?>
  	</div>
  <!-- EOF bottomsag -->    
   </div> 

  </div>


<!-- BOF bottom block -->
<?php if (isset($items[$i]->positions['bottom'])) : ?>
	<div class="infoblock <?php echo $this->params->get('bottom_cols', 'two'); ?>cols">
		<ul>
			<?php foreach ($items[$i]->positions['bottom'] as $field) : ?>
			<li>
				<div>
					<?php if ($field->label) : ?>
					<div class="label field_<?php echo $field->name; ?>"><?php echo $field->label; ?></div>
					<?php endif; ?>
					<div class="value field_<?php echo $field->name; ?>"><?php echo $field->display; ?></div>
				</div>
			</li>
			<?php endforeach; ?>
		</ul>
	</div>
<!-- EOF bottom block -->

</div>



	<?php endif; ?>
		</li>
		<?php endfor; ?>
	</ul>
	<?php endif; ?>
</div>
<?php else : ?>
<div class="noitems"><?php echo JText::_( 'FLEXI_NO_ITEMS_CAT' ); ?></div>
<?php endif; ?>