<?php
/**
 * @version 1.5 beta 5 $Id: default.php 85 2009-10-10 13:48:04Z vistamedia $
 * @package Joomla
 * @subpackage FLEXIcontent
 * @copyright (C) 2010 tmrsk - www.bguen.com/tmrsk
 * @license GNU/GPL v2
 * 
 * FLEXIcontent is a derivative work of the excellent QuickFAQ component
 * @copyright (C) 2008 Christoph Lukes
 * see www.schlu.net for more information
 *
 * FLEXIcontent is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );
// first define the template name
$tmpl = $this->tmpl;
?>

<div id="flexicontent" class="flexicontent item<?php echo $this->item->id; ?> type<?php echo $this->item->type_id; ?>">



<!-- BOF page title -->
<?php if ($this->params->get( 'show_page_title', 1 ) && $this->params->get('page_title') != $this->item->title) : ?>
<h1 class="componentheading">
	<?php echo $this->params->get('page_title'); ?>
</h1>
<?php endif; ?>
<!-- EOF page title -->



<div class="ana">
  
<!-- BOF subtitle1 block -->

<div class="lineinfo subtitle1">
<?php if (isset($this->item->positions['subtitle1'])) : ?>
	<?php foreach ($this->item->positions['subtitle1'] as $field) : ?>
	<span class="element">
		<?php if ($field->label) : ?>
		<span class="label field_<?php echo $field->name; ?>"><?php echo $field->label; ?></span>
		<?php endif; ?>
		<span class="value field_<?php echo $field->name; ?>"><?php echo $field->display; ?></span>
	</span>
	<?php endforeach; ?>
    <?php endif; ?>
</div>

<!-- EOF subtitle1 block -->
  
  <div class="ana2" >
  <!-- BOF sol -->
    <div class="sol">  
  	
  	<!-- BOF image block -->
	<?php if (isset($this->item->positions['image'])) : ?>
		<?php foreach ($this->item->positions['image'] as $field) : ?>
	<div class="image field_<?php echo $field->name; ?>">
		<?php echo $field->display; ?>
		<div class="clear"></div>
        <?php endforeach; ?>
  	
    <?php endif; ?>
<!-- EOF image block -->    
  	
  	   <!-- BOF subtitle4 block -->
<?php if (isset($this->item->positions['subtitle4'])) : ?>
<div class="lineinfo subtitle4">
	<?php foreach ($this->item->positions['subtitle4'] as $field) : ?>
	<span class="element">
		<?php if ($field->label) : ?>
		<span class="label field_<?php echo $field->name; ?>"><?php echo $field->label; ?></span>
		<?php endif; ?>
		<span class="value field_<?php echo $field->name; ?>"><?php echo $field->display; ?></span>
	</span>
	<?php endforeach; ?>
</div>
<?php endif; ?>
<!-- EOF subtitle4 block -->
  	
	
	    <!-- BOF subtitle5 block -->
<?php if (isset($this->item->positions['subtitle5'])) : ?>
<div class="lineinfo subtitle5">
	<?php foreach ($this->item->positions['subtitle5'] as $field) : ?>
	<span class="element">
		<?php if ($field->label) : ?>
		<span class="label field_<?php echo $field->name; ?>"><?php echo $field->label; ?></span>
		<?php endif; ?>
		<span class="value field_<?php echo $field->name; ?>"><?php echo $field->display; ?></span>
	</span>
	<?php endforeach; ?>
</div>
<?php endif; ?>
<!-- EOF subtitle5 block -->
	   </div> 
</div>
   <!-- EOF sol -->
   <!-- BOF sag -->
  <div class="sag">     
  	
  	<!-- BOF head block -->

<div class="head" style="border-bottom: 5px solid #<?php echo $this->params->get('border_color') ?>">

	<font color="#<?php echo $this->params->get('head_color') ?>"><?php if ($this->params->get('show_title')) : ?>

		<?php echo $this->escape($this->fields['title']->display); ?>
	</font>
</div>
    <!-- BOF buttons -->
<p class="buttons">
	<?php echo flexicontent_html::pdfbutton( $this->item, $this->params ); ?>
	<?php echo flexicontent_html::mailbutton( 'items', $this->params, null , $this->item->slug ); ?>
	<?php echo flexicontent_html::printbutton( $this->print_link, $this->params ); ?>
</p>
<!-- EOF buttons -->
<?php endif; ?>
<!-- EOF head block -->

  	<!-- BOF subtitle3 block -->

<div class="lineinfo subtitle3 <?php echo $this->params->get('top_cols', 'two'); ?>cols">
<?php if (isset($this->item->positions['subtitle3'])) : ?>

	<?php foreach ($this->item->positions['subtitle3'] as $field) : ?>

	<span class="element">
		<?php if ($field->label) : ?>
		<div class="label field_<?php echo $field->name; ?>"><?php echo $field->label; ?></div>
		<?php endif; ?>
		<div class="value field_<?php echo $field->name; ?>"><?php echo $field->display; ?></div>
	</span>

	<?php endforeach; ?>
<?php endif; ?>
</div>

<!-- EOF subtitle3 block -->


<!-- EOF description block -->
 <div id="description">
	<?php echo JFilterOutput::ampReplace($this->fields['text']->display); ?>
</div>						
<!-- BOF description block -->
  	</div>

<!-- BOF sag -->
  </div>
  <!-- BOF ana2 -->
 <div id="duzelt"></div>

    <!-- BOF bottom_nolabel -->
	

	<div class="bottom_nolabel">
    <?php if (isset($this->item->positions['bottom_nolabel'])) : ?>
		<?php foreach ($this->item->positions['bottom_nolabel'] as $field) : ?>
		<div class="desc-content"><?php echo $field->display; ?></div>
		<?php endforeach; ?>
        <?php endif; ?>
	</div>

	
<!-- EOF bottom_nolabel -->

  <div class="clear"></div>

    <!-- BOF bottom block -->
	

	<div class="infoblock2 <?php echo $this->params->get('bottom_cols', 'two'); ?>cols">
    <?php if (isset($this->item->positions['bottom'])) : ?>
		<ul>
			<?php foreach ($this->item->positions['bottom'] as $field) : ?>
			<li>
				<div>
					<?php if ($field->label) : ?>
					<div class="label field_<?php echo $field->name; ?>"><?php echo $field->label; ?></div>
					<?php endif; ?>
					<div class="value field_<?php echo $field->name; ?>"><?php echo $field->display; ?></div>
				</div>
			</li>
			<?php endforeach; ?>
		</ul>
        <?php endif; ?>
	</div>

	
<!-- EOF bottom block -->

</div>



	<?php if ($this->params->get('comments')) : ?>
<!-- BOF comments -->
	<div class="comments">
		<?php
		if ($this->params->get('comments') == 1) :
			if (file_exists(JPATH_SITE.DS.'components'.DS.'com_jcomments'.DS.'jcomments.php')) :
				require_once(JPATH_SITE.DS.'components'.DS.'com_jcomments'.DS.'jcomments.php');
				echo JComments::showComments($this->item->id, 'com_flexicontent', $this->escape($this->item->title));
			endif;
		endif;
	
		if ($this->params->get('comments') == 2) :
			if (file_exists(JPATH_SITE.DS.'plugins'.DS.'content'.DS.'jom_comment_bot.php')) :
    			require_once(JPATH_SITE.DS.'plugins'.DS.'content'.DS.'jom_comment_bot.php');
    			echo jomcomment($this->item->id, 'com_flexicontent');
  			endif;
  		endif;
		?>
	</div>
<!-- EOF comments -->
	<?php endif; ?>

</div>